Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		speex
Version:	1.2
Release:	2
Provides:	%{name}
License:	GNU/GPL 
URL:		http://www.speex.org/ 
Group:		Sound
Source0:	%{name}-%{version}rc1.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
Summary:	speex is a patent-free compression format designed especially for speech.

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libogg-devel
BuildRequires: pkg-config

%description
speex is a patent-free compression format designed especially for speech.
It is specialized for voice communications at low bit-rates in the
2-45 kbps range. Possible applications include Voice over IP (VoIP),
Internet audio streaming, audio books, and archiving of
speech data (e.g. voice mail).
For more details see: http://www.speex.org/

%package devel
Summary: 	%{name} development headers.
Group: 		%{group}            
Requires: 	%{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -qn %{name}-%{version}rc1

%build
./configure --prefix=%_prefix \
--mandir=%_mandir \
--disable-dependency-tracking
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%{_bindir}/speexdec
%{_bindir}/speexenc
%{_libdir}/libspeexdsp.so.*
%{_libdir}/libspeex.so.*
%{_mandir}/man1/speexdec.1.gz
%{_mandir}/man1/speexenc.1.gz

%files devel
%defattr(-,root,root)
%{_includedir}/speex
%{_libdir}/libspeex.a
%{_libdir}/libspeexdsp.a
%{_libdir}/libspeexdsp.la
%{_libdir}/libspeexdsp.so
%{_libdir}/libspeex.la
%{_libdir}/libspeex.so
%{_pkgconfig}/speexdsp.pc
%{_pkgconfig}/speex.pc
%{_aclocal}/speex.m4
%{_docdir}/speex

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Oct 17 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.2-2
- rebuilt
* Mon Sep 15 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.2-1
- Version update
- rc1
* Sat Mar 18 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.1.12-1
- Version update
* Tue Nov 29 2005 Christian Wasem <wasem@ccux-linux.de> 1.1.11-1
- Update to Version 1.1.11
* Fri Jun 17 2005 Christian Metzen <metzench@ccux-linux.de> 1.1.10-2
- Tweaked specfile, moved static files to devel package
* Wed Jun 15 2005 Karsten Brockmann <arcam@ccux-linux.de> 1.1.10-1
- update to version 1.1.10-1
* Sat Mar 19 2005 Christian Wasem <wasem@ccux-linux.de> 1.1.7-2
- added missing-headers
* Sat Mar 19 2005 Christian Wasem <wasem@ccux-linux.de> 1.1.7-1
- update to version 1.1.7-1
